Package dev.plex.listener.impl

# Class PlayerListener<T>

java.lang.Object
dev.plex.listener.PlexListener
dev.plex.listener.impl.PlayerListener<T>

All Implemented Interfaces:
  `PlexBase`, `org.bukkit.event.Listener`

public class PlayerListener<T> extends PlexListener

## Field Summary

### Fields inherited from interface dev.plex.PlexBase

`plugin`

## Constructor Summary

Constructors
Constructor
Description
`PlayerListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onInventoryClick(org.bukkit.event.inventory.InventoryClickEvent event)`
`void`
`onPlayerInventoryClose(org.bukkit.event.inventory.InventoryCloseEvent event)`
`void`
`onPlayerSave(org.bukkit.event.player.PlayerQuitEvent event)`
`void`
`onPlayerSetup(org.bukkit.event.player.PlayerJoinEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerListener

public PlayerListener()

## Method Details

### onPlayerSetup

public void onPlayerSetup(org.bukkit.event.player.PlayerJoinEvent event)

### onPlayerSave

public void onPlayerSave(org.bukkit.event.player.PlayerQuitEvent event)

### onPlayerInventoryClose

public void onPlayerInventoryClose(org.bukkit.event.inventory.InventoryCloseEvent event)

### onInventoryClick

public void onInventoryClick(org.bukkit.event.inventory.InventoryClickEvent event)